summaryrefslogtreecommitdiffstats
path: root/target/default/target_skeleton/bin
diff options
context:
space:
mode:
authormbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-05-13 13:49:48 +0000
committermbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-05-13 13:49:48 +0000
commitdd755e947f8ae1e657dfa6c16b7756d78074e013 (patch)
tree331ed1426f71df4db72528e8d4380070a77345d7 /target/default/target_skeleton/bin
parent9867fb333816f75d481c53cd71f2acdb0c0a0291 (diff)
cleanup login script, change firewall example
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@881 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'target/default/target_skeleton/bin')
-rwxr-xr-xtarget/default/target_skeleton/bin/login35
1 files changed, 17 insertions, 18 deletions
diff --git a/target/default/target_skeleton/bin/login b/target/default/target_skeleton/bin/login
index 238e971aa..bb065e54a 100755
--- a/target/default/target_skeleton/bin/login
+++ b/target/default/target_skeleton/bin/login
@@ -1,21 +1,20 @@
#!/bin/sh
-[ "$FAILSAFE" = "true" ] && exec /bin/ash --login
-
-[ -f /etc/sysconf ] && . /etc/sysconf
-
-if [ "$BR2_SYSCONF_TELNET_FAILSAFE_ONLY" = "y" ]; then
- if grep '^root:!' /etc/passwd > /dev/null 2>/dev/null; then
- echo "You need to set a login password to protect your"
- echo "Router from unauthorized access."
- echo
- echo "Use 'passwd' to set your password."
- echo "telnet login will be disabled afterwards,"
- echo "You can then login using SSH."
- echo
- else
- echo "Login failed."
- exit 0
- fi
-fi
+. /etc/sysconf 2>&-
+[ "$FAILSAFE" != "true" ] &&
+[ "$BR2_SYSCONF_TELNET_FAILSAFE_ONLY" = "y" ] &&
+{
+ grep '^root:[^!]' /etc/passwd >&- 2>&- &&
+ {
+ echo "Login failed."
+ exit 0
+ } || {
+cat << EOF
+ === IMPORTANT ============================
+ Use 'passwd' to set your login password
+ this will disable telnet and enable SSH
+ ------------------------------------------
+EOF
+ }
+}
exec /bin/ash --login